OpenNMS API 1.2.9

## org.opennms.protocols.ip
Class UnknownIPVersionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.protocols.ip.UnknownIPVersionException

All Implemented Interfaces:
  java.io.Serializable

public class UnknownIPVersionException
extends java.lang.RuntimeException

This exception is thrown when the IP version is not supported by the IPHeader class.

Author:
  Brian Weaver
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`UnknownIPVersionException()`
`UnknownIPVersionException(java.lang.String why)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownIPVersionException

    public UnknownIPVersionException()

### UnknownIPVersionException

    public UnknownIPVersionException(java.lang.String why)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.